Subject: Re: [PATCH net-next 00/13] selftests: ncdevmem: Add ncdevmem to ksft

From: Stanislav Fomichev <[email-masked]>
Date: Fri, 13 Dec 2024 10:53:32 -0800

On 12/13, Mina Almasry wrote:
> On Thu, Dec 12, 2024 at 5:19 PM Stanislav Fomichev <[email-masked]> wrote:
> >
> > On 09/12, Stanislav Fomichev wrote:
> > > On 09/12, Mina Almasry wrote:
> > > > On Thu, Sep 12, 2024 at 12:48 PM Stanislav Fomichev
> > > > <[email-masked]> wrote:
> > > > >
> > > > > On 09/12, Stanislav Fomichev wrote:
> > > > > > The goal of the series is to simplify and make it possible to use
> > > > > > ncdevmem in an automated way from the ksft python wrapper.
> > > > > >
> > > > > > ncdevmem is slowly mutated into a state where it uses stdout
> > > > > > to print the payload and the python wrapper is added to
> > > > > > make sure the arrived payload matches the expected one.
> > > > >
> > > > > Mina, what's your plan/progress on the upstreamable TX side? I hope
> > > > > you're still gonna finish it up?
> > > > >
> > > >
> > > > I'm very open to someone pushing the TX side, but there is a bit of a
> > > > need here to get the TX side done sooner than later. In reality I
> > > > don't think anyone cares as much as me to push this ASAP so I
> > > > plan/hope to look into it. I have made some progress but a bit to be
> > > > worked through at the moment. I hope to have something ready as the
> > > > merge window reopens; very likely doable.
> > >
> > > Perfect!
> >
> > Hey Mina,
> >
> > Any updates on this? Any chance getting something out this merge window?
> >
> > I was hoping you'd post something in the previous merge window (late Sep),
> > but if you're still busy with other things, should I post a v2 RFC? I have
> > moved to the mode which you suggested where tx dmabuf is associated
> > with the socket; this lets me drop all tx ref counts (socket holds
> > dmabuf, skb holds socket until tx completion). I also moved to a
> > more performant offset->dma_addr resolution logic in tcp_sendmsg and
> > fixed a bunch of things on the test side...
> 
> My apologies for the delay. I have the TX path ready, but having
> trouble running the performance tests unrelated to the patch itself.
> I'm going to send the TX path after a round of internal reviews,
> likely by the end of next week.

Awesome, looking forward to it! I put whatever I have on my side on gh
as well: https://github.com/fomichev/linux/commits/upstream/net-next/tx/2/

Take a look in case something makes sense to update on your side. I
reworked the test to a more conventional 'cfg.remote.deploy' model
and I also simplified lookup of dma_addr on tx (my previous tx code
was super slow and buggy).